ubuntu14.04 R语言安装

(1)安装:

sudo apt-get install r-base-core

(2)如果系统中已经安装过但是不好用,需要卸载(只要报错就卸载)
卸载命令:

sudo apt-get autoremove r-base-core

(3)之后把系统里面的包更新一下,命令

sudo apt-get update

(4)最后再执行(1),看看是否能够安装.
R语言的编辑软件叫做Rstudio,可以在这里下载:https://www.rstudio.com/products/rstudio/download/#download 自己找自己系统对应的版本
这个安装方法可以在ubuntu的软件中心进行安装,或者使用sudo dpkg -i rstudio-1.1.383-amd64.deb

(5)出错处理
(a)出现类似这样的错误

dpkg: 处理软件包 texlive-latex-base-doc (--configure)时出错:

 依赖关系问题 - 仍未被配置

处理方法

sudo可要可不要,自行选择。

1.$ sudo mv /var/lib/dpkg/info /var/lib/dpkg/info_old //现将info文件夹更名

2.$ sudo mkdir /var/lib/dpkg/info //再新建一个新的info文件夹
3.$ sudo apt-get update && apt-get -f install //不用解释了吧
4.$ sudo mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old //执行完上一步操作后会在新的info文件夹下生成一些文件,现将这些文件全部移到info_old文件夹下
5.$ sudo rm -rf /var/lib/dpkg/info //把自己新建的info文件夹删掉
6.$ sudo mv /var/lib/dpkg/info_old /var/lib/dpkg/info //把以前的info文件夹重新改

(b)出现类似

/sbin/ldconfig.real: /usr/lib/nvidia-375/libEGL.so.1 is not a symbolic link
/sbin/ldconfig.real: /usr/lib32/nvidia-375/libEGL.so.1 is not a symbolic link

解决办法

sudo mv /usr/lib/nvidia-375/libEGL.so.1 /usr/lib/nvidia-375/libEGL.so.1.org
sudo mv /usr/lib32/nvidia-375/libEGL.so.1 /usr/lib32/nvidia-375/libEGL.so.1.org
sudo ln -s /usr/lib/nvidia-375/libEGL.so.375.39 /usr/lib/nvidia-375/libEGL.so.1
sudo ln -s /usr/lib32/nvidia-375/libEGL.so.375.39 /usr/lib32/nvidia-375/libEGL.so.1

参考地址:http://blog.csdn.net/langb2014/article/details/54376716
http://blog.csdn.net/u012283902/article/details/66471349
http://www.mamicode.com/info-detail-1738649.html
解决好了问题之后再重新执行上面的安装步骤

相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页